## ros-melodic-access-point-control 1.0.16

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(access_point_control)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS rospy dynamic_reconfigure)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)


# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_init()


#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

# add dynamic reconfigure api
#rosbuild_find_ros_package(dynamic_reconfigure)
#include(${dynamic_reconfigure_PACKAGE_PATH}/cmake/cfgbuild.cmake)
#gencfg()

#common commands for building c++ executables and libraries
#add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#
# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()
#find_package(Boost REQUIRED COMPONENTS thread)
#add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})
## Generate added messages and services with any dependencies listed here




catkin_package(
    DEPENDS rospy dynamic_reconfigure
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)



install(DIRECTORY src cfg  
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-access-point-control (1.0.16-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 08 Nov 2019 00:00:00 -0000

ros-melodic-access-point-control (1.0.15-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 19 Mar 2019 00:00:00 -0000

ros-melodic-access-point-control (1.0.13-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 18 Mar 2019 00:00:00 -0000

ros-melodic-access-point-control (1.0.12-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 26 Feb 2019 00:00:00 -0000

ros-melodic-access-point-control (1.0.9-1stretch) stretch; urgency=high

  * Access_point_control catkin_make install fix
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 00:00:00 -0000

ros-melodic-access-point-control (1.0.8-1stretch) stretch; urgency=high

  * Removed rosbuild files
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 00:00:00 -0000

ros-melodic-access-point-control (1.0.7-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 00:00:00 -0000

ros-melodic-access-point-control (1.0.6-1stretch) stretch; urgency=high

  * fixed bug
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 00:00:00 -0000

ros-melodic-access-point-control (1.0.5-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 06 Oct 2014 00:00:00 -0000

ros-melodic-access-point-control (1.0.4-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 00:00:00 -0000

ros-melodic-access-point-control (1.0.3-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 00:00:00 -0000

ros-melodic-access-point-control (1.0.2-1stretch) stretch; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-access-point-control
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-rospy
Homepage: http://ros.org/wiki/access_point_control
Standards-Version: 3.9.2

Package: ros-melodic-access-point-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamic-reconfigure, ros-melodic-rospy
Description: Defines an API for access point control based on dynamic_reconfigure.
 Other packages must implement the API for various access-point models: for example: hostapd_access_point for hostapd-based control or linksys_access_point for Linksys router web interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-access-point-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
